跳转到内容

下单前校验

POST /app/laiyipiao/food/check-order

上游对应:interfaceCode=checkOrder

字段名称类型必填
brand品牌标识string是
storeCode门店编码string是
goods商品列表array是
goods[].itemNo商品编号string是
goods[].skuNoSKU编号string是
goods[].num数量int是
receiverLng收货人经度string外卖必填
receiverLat收货人纬度string外卖必填
receiverName收货人姓名string外卖必填
receiverPhone收货人手机号string外卖必填
receiverAddress收货地址string外卖必填
cityId城市IDstring是
字段名称类型
data.goods校验后的商品array
data.cityId城市IDnumber
data.city城市名string
data.storeCode门店编码string
data.storeName门店名称string
data.address门店地址string
data.starttime营业开始时间string
data.endtime营业结束时间string
data.officialStatus是否官方门店boolean
data.deliveryPrice配送费number
字段名称类型
goodsId商品IDstring
goodsName商品名称string
goodsImg商品图片string
num数量number
totalOriginalPrice原总价number
totalSalePrice行总价number
originalPrice单品原价number
salePrice单品售价number
putDetailJson商品详情jsonstring
goodsOutId外部商品IDnull/string

下单金额建议:sum(goods[].totalSalePrice)。

{
"code": 0,
"data": {
"result": {
"goods": [
{
"goodsId": "SP2404",
"goodsName": "橙C美式",
"goodsImg": "https://cdn-product-prod.yummy.tech:443/productmanager-admin/2024/06/370032a5ffe34db196b78e06922e2542_橙C美式.png",
"num": 1,
"totalOriginalPrice": 29,
"totalSalePrice": 8.86,
"originalPrice": 29,
"salePrice": 8.86,
"goodsOutId": null
},
{
"goodsId": "SP2405",
"goodsName": "橙C气泡冰萃",
"goodsImg": "https://cdn-product-prod.yummy.tech:443/productmanager-admin/2024/06/c8c59ab6b4374580b51aa6b19847434e_橙C气泡冰萃.png",
"num": 1,
"totalOriginalPrice": 29,
"totalSalePrice": 8.86,
"originalPrice": 29,
"salePrice": 8.86,
"goodsOutId": null
}
],
"cityId": 16,
"city": "武汉",
"storeCode": "20300007509",
"storeName": "泰塑学生公寓店",
"address": "江夏区流芳大道特1号泰塑学生公寓北门西侧1层底商(零食很忙内)",
"starttime": "08:00",
"endtime": "20:30",
"officialStatus": true,
"deliveryPrice": 0
}
},
"msg": "success"
}